import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LoggerInterface, c as LogLevel } from './uuid-be9399c7.js';
export { ds as ArgumentsType, ck as AsyncMutex, cF as AsyncReturnType, V as BinInput, d0 as Channel, c$ as ChannelMessageEvent, de as CryptoEncoder, as as DAY_MS, aP as Day, au as DayInput, aO as DayInputLegacy, at as DayValue, aV as DecimalInput, aU as DecimalValue, d6 as DefaultListener, ca as Disposable, c9 as Disposer, c8 as DisposerFunction, d7 as Emitter, d4 as EmitterAllHandler, d3 as EmitterHandler, db as Encoder, J as Json, dd as JsonEncoder, d5 as ListenerSignature, d1 as LocalChannel, a as LogHandler, L as LogHandlerOptions, c as LogLevel, cP as LogLevelAlias, cQ as LogLevelAliasKey, cR as LogLevelAliasType, cS as LogMessage, cO as Logger, cV as LoggerConsoleHandler, cU as LoggerContext, cT as LoggerContextInterface, b as LoggerInterface, c_ as LoggerMemoryHandler, dO as MemStorage, dN as MemStorageOptions, dh as Message, df as MessageAction, dl as MessageDefinitions, dm as MessageHub, dg as MessageResult, dj as MessagesDefaultMethods, dk as MessagesMethods, di as MessagesOptions, cj as Mutex, dS as NestedArray, dc as NoopEncoder, O as ObjectStorage, ct as Pool, cp as PoolTask, cr as PoolTaskEvents, cn as PoolTaskFn, cq as PoolTaskIdConflictResolution, co as PoolTaskState, b3 as Primitive, dq as PubSub, dv as RPCFn, du as RPCOptions, dw as RPCReturn, ao as RenderMessagesOptions, dt as ReturnType, bC as RoundingMode, cI as SerialQueue, bN as SortableItem, cH as TaskEvents, cG as TaskFn, a8 as Uint8ArrayToHexDump, a7 as Uint8ArrayToJson, Y as Uint8ArrayToString, cf as UseDefer, cc as UseDispose, c7 as XRX, W as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, E as arrayAvg, F as arrayBatches, t as arrayEmptyInPlace, q as arrayFilterInPlace, l as arrayFlatten, m as arrayIntersection, w as arrayIsEqual, B as arrayMax, C as arrayMin, j as arrayMinus, A as arrayRandomElement, o as arrayRemoveElement, p as arraySetElement, y as arrayShuffle, z as arrayShuffleForce, x as arrayShuffleInPlace, u as arraySorted, v as arraySortedNumbers, D as arraySum, n as arraySymmetricDifference, s as arrayToggleInPlace, k as arrayUnion, i as arrayUnique, bp as avg, bn as between, c1 as cloneJsonObject, c0 as cloneObject, by as cmp, bx as composeOrderby, G as createArray, d2 as createLocalChannelPair, cu as createPromise, dn as createPromiseProxy, h as csv, aT as dateStringToDays, aS as day, ax as dayDay, aN as dayDiff, aB as dayFromAny, aD as dayFromDate, aE as dayFromDateGMT, aI as dayFromParts, aJ as dayFromString, aG as dayFromTimestamp, aA as dayFromToday, aw as dayMonth, aK as dayMonthStart, aM as dayOffset, az as dayToDate, aC as dayToDateGMT, ay as dayToParts, aH as dayToString, aF as dayToTimestamp, av as dayYear, aL as dayYearStart, cK as debounce, aW as decimal, aZ as decimalCentsPart, aX as decimalFromCents, aY as decimalToCents, K as decodeBase16, N as decodeBase32, Q as decodeBase58, S as decodeBase62, U as decodeBase64, g as decrypt, a_ as deepEqual, b0 as deepMerge, a$ as deepStripUndefinedInPlace, e as deriveKeyPbkdf2, dJ as detect, d as digest, b$ as empty, I as encodeBase16, M as encodeBase32, P as encodeBase58, R as encodeBase62, T as encodeBase64, bV as encodeQuery, f as encrypt, bP as endSortWeight, bX as ensureKey, bY as ensureKeyAsync, a5 as equalBinary, b1 as escapeHTML, bB as escapeRegExp, dA as fetchBasic, dB as fetchJson, dF as fetchOptionsBasicAuth, dD as fetchOptionsFormURLEncoded, dE as fetchOptionsJson, dC as fetchText, ar as fixBrokenUth8String, aQ as forEachDay, c4 as forTimes, ap as formatMessages, dQ as formatMilliseconds, a4 as fromBase64, ac as fromCamelCase, a1 as fromHex, dI as getGlobal, cL as getGlobalContext, d8 as getGlobalEmitter, cN as getGlobalLogger, cW as getNamespaceFilterString, dH as getNavigator, bi as getSecureRandom, bj as getSecureRandomIfPossible, dP as getTimestamp, dG as getWindow, dy as httpMethod, cw as immediate, b6 as isArray, bc as isBoolean, dK as isBrowser, bE as isEven, bD as isHalf, ba as isInteger, cM as isLocalHost, bd as isNullOrUndefined, b9 as isNumber, b4 as isObject, br as isPrime, bq as isPrimeRX, b5 as isPrimitive, cD as isPromise, b7 as isRecord, bb as isSafeInteger, b8 as isString, cA as isTimeout, be as isUint8Array, $ as joinToUint8Array, bh as jsonStringify, bg as jsonStringifySafe, bf as jsonStringifySorted, a6 as jsonToUint8Array, b_ as last, da as lazyListener, bT as linkifyPlainText, c2 as memoize, c3 as memoizeAsync, d9 as messages, bQ as moveSortWeight, bv as objectIsEmpty, bt as objectMap, bu as objectMergeDisposable, dz as parseBasicAuth, dR as parseDate, cY as parseLogLevel, bw as parseOrderby, bW as parseQuery, dL as platform, cE as promisify, e2 as qid, bk as randomBoolean, bm as randomFloat, bl as randomInt, r as randomUint8Array, c6 as regExpEscape, c5 as regExpString, aq as renderMessages, bG as roundDown, bJ as roundHalfAwayFromZero, bK as roundHalfDown, bL as roundHalfEven, bI as roundHalfOdd, bM as roundHalfTowardsZero, bH as roundHalfUp, bF as roundUp, bs as seededRandom, bZ as size, cv as sleep, bR as sortedItems, bz as sortedOrderby, bO as startSortWeight, ad as stringToBoolean, af as stringToFloat, ae as stringToInteger, X as stringToUInt8Array, e5 as suid, e4 as suidBytes, e7 as suidBytesDate, e6 as suidDate, bo as sum, cJ as throttle, cy as timeout, cx as timeoutReached, cz as timoutError, a2 as toBase64, a3 as toBase64Url, an as toBool, a9 as toCamelCase, aa as toCapitalize, ab as toCapitalizeWords, ak as toFloat, a0 as toHex, bU as toHumanReadableUrl, al as toInt, am as toString, Z as toUint8Array, bA as toValidFilename, aR as today, cB as tryTimeout, e1 as uname, b2 as unescapeHTML, cm as useAsyncMutex, H as useBase, ce as useDefer, cb as useDispose, cd as useDisposer, ci as useEventListener, dM as useExitHandler, ch as useInterval, cZ as useLevelFilter, dp as useMessageHub, cl as useMutex, cX as useNamespaceFilter, cs as usePool, dr as usePubSub, dx as useRPC, bS as useSorted, cg as useTimeout, dV as uuid, e0 as uuid32Decode, d$ as uuid32Encode, dU as uuid32bit, d_ as uuidB32, dT as uuidBytes, dY as uuidDecode, dZ as uuidDecodeV4, dW as uuidEncode, dX as uuidEncodeV4, e3 as uuidv4, ag as valueToBoolean, ai as valueToFloat, ah as valueToInteger, aj as valueToString, cC as waitOn } from './uuid-be9399c7.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserClassicHandler, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
